Package org.apache.tomcat.websocket

# Class MessageHandlerResult

java.lang.Object
org.apache.tomcat.websocket.MessageHandlerResult

public class MessageHandlerResult extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageHandlerResult(MessageHandler handler, MessageHandlerResultType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageHandler`
  `getHandler()`
  `MessageHandlerResultType`
  `getType()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageHandlerResult

    public MessageHandlerResult(MessageHandler handler, MessageHandlerResultType type)

- ## Method Details

  - ### getHandler

    public MessageHandler getHandler()

  - ### getType

    public MessageHandlerResultType getType()